import { FieldMeta } from '../../../../../../capabilities/model-field-runtime';
export declare function fillDefaultSearchField(fields?: string[]): string[];
export declare function buildQuickSearchFieldOptions(fields?: FieldMeta[]): {
    label: string;
    value: string;
}[];
export declare function buildDeviceQuickSearchQuery(quickSearchField: string[] | undefined, keyword: string, extraQuery?: Record<string, any>): {
    queryData: Record<string, any>;
    exp: string;
};
